## org.eclipse.datatools.sqltools.data.internal.ui.editor
Class DefaultExternalTableDataWizardPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.datatools.sqltools.data.internal.ui.editor.DefaultExternalTableDataWizardPage

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage, org.eclipse.swt.events.SelectionListener, org.eclipse.swt.internal.SWTEventListener

    public class DefaultExternalTableDataWizardPage

extends org.eclipse.jface.wizard.WizardPage
implements org.eclipse.swt.events.SelectionListener

The default Wizard Page for external editing of the TableDataEditor.

Author:
  sschaer

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`DefaultExternalTableDataWizardPage(java.lang.String pageName)` Creates the default page with the given editor

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)` Instead of overwriting this method, subclasses should overwrite one of the following methods that are called from within this method: createBasicComposite(Composite comp) createEditorArea(Composite comp) createButtonArea(Composite comp)
`void` `init(ITableDataEditor editor)`
`boolean` `updateRowData()` Updates the cell data with the current content of the edit widget.
`void` `widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)`
`void` `widgetSelected(org.eclipse.swt.events.SelectionEvent e)` Handles the button events and delegates to the event handle routines.

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Constructor Detail

### DefaultExternalTableDataWizardPage

    public DefaultExternalTableDataWizardPage(java.lang.String pageName)

  Creates the default page with the given editor

  Parameters:
    `pageName` - the name of the page
    `editor` - the TableDataEditor for this page
  Throws:
    `java.lang.IllegalArgumentException` - if the given editor is null or if its cursor doesnt provide a valid IRowData

Method Detail

### init

    public void init(ITableDataEditor editor)

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Instead of overwriting this method, subclasses should overwrite one of the following methods that are called from within this method: createBasicComposite(Composite comp) createEditorArea(Composite comp) createButtonArea(Composite comp)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`

### updateRowData

    public boolean updateRowData()

  Updates the cell data with the current content of the edit widget.

### widgetDefaultSelected

    public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)

  Specified by:
    `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`
  See Also:
    `SelectionListener.widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent)`

### widgetSelected

    public void widgetSelected(org.eclipse.swt.events.SelectionEvent e)

  Handles the button events and delegates to the event handle routines.

  Specified by:
    `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`
  See Also:
    `SelectionListener.widgetSelected(org.eclipse.swt.events.SelectionEvent)`